## org.eclipse.emf.ecore.impl
Class EAnnotationImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.MinimalEObjectImpl
                  org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
                      org.eclipse.emf.ecore.impl.EModelElementImpl
                          org.eclipse.emf.ecore.impl.EAnnotationImpl

All Implemented Interfaces:
  Notifier, EAnnotation, EModelElement, EObject, EStructuralFeature.Internal.DynamicValueHolder, InternalEObject

    public class EAnnotationImpl

extends EModelElementImpl
implements EAnnotation

An implementation of the model object 'EAnnotation'.

The following features are implemented:

- `Source`
- `Details`
- `EModel Element`
- `Contents`
- `References`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`MinimalEObjectImpl.Container.Dynamic`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`MinimalEObjectImpl.Container`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`BasicNotifierImpl.EAdapterList<E extends java.lang.Object & Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`InternalEObject.EStore`

Field Summary
`protected EList<EObject>` `contents` The cached value of the '`Contents`' containment reference list
`protected EMap<java.lang.String,java.lang.String>` `details` The cached value of the '`Details`' map
`protected EList<EObject>` `references` The cached value of the '`References`' reference list
`protected java.lang.String` `source` The cached value of the '`Source`' attribute
`protected static java.lang.String` `SOURCE_EDEFAULT` The default value of the '`Source`' attribute

Fields inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eAnnotations, eFlags, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG`

Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eContainer`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder
`NIL`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `EAnnotationImpl()`

Method Summary
`NotificationChain` `basicSetEModelElement(EModelElement newEModelElement, NotificationChain msgs)`
`NotificationChain` `eBasicRemoveFromContainerFeature(NotificationChain msgs)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseAdd(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`EList<EObject>` `getContents()`
`EMap<java.lang.String,java.lang.String>` `getDetails()`
`EModelElement` `getEModelElement()`
`EList<EObject>` `getReferences()`
`java.lang.String` `getSource()`
`void` `setEModelElement(EModelElement newEModelElement)`
`void` `setSource(java.lang.String newSource)` Sets the value of the '`Source`' attribute
`void` `setSourceGen(java.lang.String newSource)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eObjectForURIFragmentSegment, eSetDirectResource, eURIFragmentSegment, freeze, freeze, getEAnnotation, getEAnnotations, isFrozen, setFrozen`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eBasicSetContainer, eInternalContainer`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eContents, eCrossReferences, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSetProxyURI, eSettings`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### SOURCE_EDEFAULT

    protected static final java.lang.String SOURCE_EDEFAULT

  The default value of the '`Source`' attribute.

  See Also:
    `getSource()`

### source

    protected java.lang.String source

  The cached value of the '`Source`' attribute.

  See Also:
    `getSource()`

### details

    protected EMap<java.lang.String,java.lang.String> details

  The cached value of the '`Details`' map.

  See Also:
    `getDetails()`

### contents

    protected EList<EObject> contents

  The cached value of the '`Contents`' containment reference list.

  See Also:
    `getContents()`

### references

    protected EList<EObject> references

  The cached value of the '`References`' reference list.

  See Also:
    `getReferences()`

Constructor Detail

### EAnnotationImpl

    protected EAnnotationImpl()

Method Detail

### eStaticClass

    protected EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `EModelElementImpl`

### getSource

    public java.lang.String getSource()

  Specified by:
    `getSource` in interface `EAnnotation`
  Returns:
    the value of the 'Source' attribute.
  See Also:
    `EModelElement.getEAnnotation(String)`, `EAnnotation.setSource(String)`, `EcorePackage.getEAnnotation_Source()`

### setSourceGen

    public void setSourceGen(java.lang.String newSource)

### setSource

    public void setSource(java.lang.String newSource)

  Description copied from interface: `EAnnotation`
  Sets the value of the '`Source`' attribute.

  Specified by:
    `setSource` in interface `EAnnotation`
  Parameters:
    `newSource` - the new value of the 'Source' attribute.
  See Also:
    `EAnnotation.getSource()`

### getDetails

    public EMap<java.lang.String,java.lang.String> getDetails()

  Specified by:
    `getDetails` in interface `EAnnotation`
  Returns:
    the value of the 'Details' map.
  See Also:
    `EcorePackage.getEAnnotation_Details()`

### getEModelElement

    public EModelElement getEModelElement()

  Specified by:
    `getEModelElement` in interface `EAnnotation`
  Returns:
    the value of the 'EModel Element' container reference.
  See Also:
    `EAnnotation.setEModelElement(EModelElement)`, `EcorePackage.getEAnnotation_EModelElement()`, `EModelElement.getEAnnotations()`

### basicSetEModelElement

    public NotificationChain basicSetEModelElement(EModelElement newEModelElement,
                                                   NotificationChain msgs)

### setEModelElement

    public void setEModelElement(EModelElement newEModelElement)

  Specified by:
    `setEModelElement` in interface `EAnnotation`
  Parameters:
    `newEModelElement` - the new value of the 'EModel Element' container reference.
  See Also:
    `EAnnotation.getEModelElement()`

### getContents

    public EList<EObject> getContents()

  Specified by:
    `getContents` in interface `EAnnotation`
  Returns:
    the value of the 'Contents' containment reference list.
  See Also:
    `EcorePackage.getEAnnotation_Contents()`

### getReferences

    public EList<EObject> getReferences()

  Specified by:
    `getReferences` in interface `EAnnotation`
  Returns:
    the value of the 'References' reference list.
  See Also:
    `EcorePackage.getEAnnotation_References()`

### eInverseAdd

    public NotificationChain eInverseAdd(InternalEObject otherEnd,
                                         int featureID,
                                         NotificationChain msgs)

  Overrides:
    `eInverseAdd` in class `EModelElementImpl`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `EModelElementImpl`

### eBasicRemoveFromContainerFeature

    public NotificationChain eBasicRemoveFromContainerFeature(NotificationChain msgs)

  Overrides:
    `eBasicRemoveFromContainerFeature` in class `BasicEObjectImpl`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `InternalEObject`
  Overrides:
    `eGet` in class `EModelElementImpl`
  See Also:
    `InternalEObject.eGet(EStructuralFeature, boolean, boolean)`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `InternalEObject`
  Overrides:
    `eSet` in class `EModelElementImpl`
  See Also:
    `EObject.eSet(EStructuralFeature, Object)`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `InternalEObject`
  Overrides:
    `eUnset` in class `EModelElementImpl`
  See Also:
    `EObject.eUnset(EStructuralFeature)`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `InternalEObject`
  Overrides:
    `eIsSet` in class `EModelElementImpl`
  See Also:
    `EObject.eIsSet(EStructuralFeature)`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `BasicEObjectImpl`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.